[PVE-User] Ceph repository

Eneko Lacunza elacunza at binovo.es
Tue Oct 23 14:44:17 CEST 2018


Hi Thomas,

El 23/10/18 a las 8:02, Thomas Lamprecht escribió:
> On 10/22/18 5:29 PM, Eneko Lacunza wrote:
>> El 22/10/18 a las 17:17, Eneko Lacunza escribió:
>>> I'm looking at Ceph Jewel to Luminuous wiki page as preparation for a PVE 4 to 5 migration:
>>> https://pve.proxmox.com/wiki/Ceph_Jewel_to_Luminous
>>>
>>> I see that after the procedure, there would be 2 repositories with ceph packages; the official ceph.com repo and the PVE repo.
>>>
>>> Is this necessary, or can we leave ceph.com repo commented?
>>>
>> This is addressed in the following wiki:
>> https://pve.proxmox.com/wiki/Upgrade_from_4.x_to_5.0
>>
>> Wouldn't be better just to migrate directly using Proxmox Ceph repository?
> The thing is: you have to upgrade to Ceph Luminous *before* you upgrade from latest
> PVE 4.4 (jessie based) to PVE 5.X (stretch based), and we do not provide luminous
> packages for PVE 4.4 (jessie based).
>
> So, to solve this you need to upgrade to Ceph Luminous with the ceph.com jessie repos,
> but should ensure that you install a lower, known working version, e.g. ceph=12.2.5,
> then you can upgrade PVE and then you can switch out the ceph.com with our stretch based
> ones.
>
> If you, whyever, don't do a dist-upgrade and have PVE 5.X already installed then you
> could directly use our ceph repositories.
Thanks for the explanation, I didn't realize we needed different 
packages for Debian 8 and 9...

Cheers
Eneko

-- 
Zuzendari Teknikoa / Director Técnico
Binovo IT Human Project, S.L.
Telf. 943569206
Astigarraga bidea 2, 2º izq. oficina 11; 20180 Oiartzun (Gipuzkoa)
www.binovo.es



More information about the pve-user mailing list